Bug 1734359 - [RFE] Enhancement of the UUID option on Content Hosts page on the Red Hat Satellite GUI.
Summary: [RFE] Enhancement of the UUID option on Content Hosts page on the Red Hat Sat...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.5.0
Hardware: x86_64
OS: Linux
medium
medium with 2 votes vote
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 10:58 UTC by Diksha Chaudhari
Modified: 2020-02-16 15:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27474 Normal Closed [RFE] Enhancement of the UUID option on Content Hosts page 2020-02-16 15:38:30 UTC

Description Diksha Chaudhari 2019-07-30 10:58:50 UTC
1. Proposed title of this feature request
[RFE] Enhancement of the UUID option on Content Hosts page on the Red Hat Satellite GUI.

2. What is the nature and description of the request?
   - The UUID option should show specifically which UUID exactly it is. 
   - Also, there should an option to show the System UUID (dmi.system.uuid) as well on the Satellite GUI.

3. Why does the customer need this? (List the business requirements here)
As the Satellite GUI only mentions as 'UUID' under Hosts --> Content Hosts page, it is difficult to recognize which UUID it is exactly. This UUID is the candlepin UUID so it should mention something as 'Candlepin UUID' or 'Subscription UUID' and also there should be an option under Content Hosts page to show the System UUID which can be obtained from below command:
~~~
# subscription-manager facts | grep uuid
dmi.system.uuid: 4C620D42-46CD-686D-99B6-80CF6954F4F4            
~~~

4. How would the customer like to achieve this? (List the functional requirements here)
   - Change the parameter name UUID found under Hosts --> Content Hosts page to either Candlepin UUID or Subscription UUID
   - Add one more option on the Hosts --> Content Hosts page which displays the actual System UUID (dmi.system.uuid)   

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
N/A

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

7. Does the customer have any specific time-line dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
ASAP

8. Is the sales team involved in this request and do they have any additional input?
N/A

9. List any affected packages or components.
N/A

10. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 6 Bryan Kearney 2019-08-12 22:02:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27474 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.